/**
 ******************************************************************************
 * @file           : main.c
 * @author         : Auto-generated by STM32CubeIDE
 * @brief          : Main program body
 ******************************************************************************
 * @attention
 *
 * <h2><center>&copy; Copyright (c) 2021 STMicroelectronics.
 * All rights reserved.</center></h2>
 *
 * This software component is licensed by ST under BSD 3-Clause license,
 * the "License"; You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at:
 *                        opensource.org/licenses/BSD-3-Clause
 *
 ******************************************************************************
 */

#include <stdint.h>
#include <stdio.h>
#include "uart.h"
#include<led.h>
#include<exti.h>

#if !defined(__SOFT_FP__) && defined(__ARM_FP)
  #warning "FPU is not initialized, but the project is compiling for an FPU. Please initialize the FPU before use."
#endif

void LED_Pattern_1(void){
	LedBlink(LED_GREEN_PIN, 1000);
	LedBlink(LED_BLUE_PIN, 1000);
	LedBlink(LED_RED_PIN, 1000);
	LedBlink(LED_ORANGE_PIN, 1000);
}
void LED_Pattern_2(void){


	LedBlink(LED_GREEN_PIN, 1000);
	LedBlink(LED_RED_PIN, 1000);
	SwitchExtiInit();

}
void LED_Parttern_3(void){
	LedOn(LED_GREEN_PIN);
	LedOn(LED_ORANGE_PIN);
	LedOn(LED_RED_PIN);
	LedOn(LED_BLUE_PIN);

}
int menu(void){
	int select;
	 UartPuts(" 1.LED Pattern 1");
	 UartPuts("2. LED Pattern 2");
	 UartPuts("3. LED Pattern 3");
	 UartGets(select);
	 return select;


}
int main(void)
{
	    UartInit(BAUD_115200);
		LedInit(LED_GREEN_PIN);
		LedInit(LED_BLUE_PIN);
		LedInit(LED_RED_PIN);
		LedInit(LED_ORANGE_PIN);

	int select;
	while((select=menu()!=0)){
		switch(select){
		case 1:
			LED_Pattern_1();
		break;
		case 2:
			LED_Pattern_2();
		break;
		case 3:
			LED_Parttern_3();
		break;
		}
	}
	return 0;
}
